@echo off

rem ****************************************************************************
rem ** 
rem ** SYNTAX: BUILD_DDK name build_flags fre|chk [x64] [hal] WLH|WXP|WNET|W2K
rem ** 
rem ** BUILD_DDK uses the Windows DDK to build the native application
rem ** 
rem ****************************************************************************

if "%1" equ "" goto :eof
if "%1" equ "build2" goto :build2

set WINDDK=
call "%~dp0..\setenv.bat"
if "%WINDDK%" equ "" goto no_ddk
if not exist "%WINDDK%\bin\setenv.bat" goto :no_ddk

set ARG0=%~f0
set __BUILD_HOMEDIR=%CD%
cd /d "src/%~1"
start "Compiling %~1..." /w cmd.exe /C "%ARG0%" build2 %2 %3 %4 %5 %6 %7
cd /d "%__BUILD_HOMEDIR%"
set __BUILD_HOMEDIR=
goto :eof

:build2
SET __PRJDIR=%CD%
cd /d "%WINDDK%\bin"
call setenv.bat %WINDDK% %4 %5 %6 %7 %8 %9 
cd /d "%__PRJDIR%"
set __PRJDIR=
set BUILD_ALT_DIR=%2
set C_DEFINES=/DBUILD_FLAGS=%3
build
goto :eof

:no_ddk
cls
echo.Cannot find Windows DDK
echo.Please edit the file `setenv.bat'
echo.
pause
notepad "%~dp0..\setenv.bat"
if "%__MAPDRIVE%" neq "" call "%dp0map" /D
exit 1
